import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BmViewModelField } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-07-31 13:17
 */
interface BmViewModelFieldCU extends ConditionUtil<BmViewModelFieldCU> {
    ID: FieldUtil<BmViewModelFieldCU>;
    BM_PROJECT_ID: FieldUtil<BmViewModelFieldCU>;
    BM_VIEW_MODEL_ID: FieldUtil<BmViewModelFieldCU>;
    VERSION_ID: FieldUtil<BmViewModelFieldCU>;
    NAME: FieldUtil<BmViewModelFieldCU>;
    COLUMN_NAME: FieldUtil<BmViewModelFieldCU>;
    PRIMARY_KEY: FieldUtil<BmViewModelFieldCU>;
    PRIMARY_KEY_GEN_TYPE: FieldUtil<BmViewModelFieldCU>;
    TITLE: FieldUtil<BmViewModelFieldCU>;
    DATA_TYPE: FieldUtil<BmViewModelFieldCU>;
    JAVA_DATA_TYPE: FieldUtil<BmViewModelFieldCU>;
    DESCRIPTION: FieldUtil<BmViewModelFieldCU>;
    UPDATE_USER_ID: FieldUtil<BmViewModelFieldCU>;
    CREATE_USER_ID: FieldUtil<BmViewModelFieldCU>;
    CREATE_TIME: FieldUtil<BmViewModelFieldCU>;
    UPDATE_TIME: FieldUtil<BmViewModelFieldCU>;
}
declare class BmViewModelFieldMU extends TableUtilImpl<BmViewModelFieldCU, BmViewModelField> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BmViewModelFieldCU;
    static get ID(): FieldUtil<BmViewModelFieldCU>;
    static get BM_PROJECT_ID(): FieldUtil<BmViewModelFieldCU>;
    static get BM_VIEW_MODEL_ID(): FieldUtil<BmViewModelFieldCU>;
    static get VERSION_ID(): FieldUtil<BmViewModelFieldCU>;
    static get NAME(): FieldUtil<BmViewModelFieldCU>;
    static get COLUMN_NAME(): FieldUtil<BmViewModelFieldCU>;
    static get PRIMARY_KEY(): FieldUtil<BmViewModelFieldCU>;
    static get PRIMARY_KEY_GEN_TYPE(): FieldUtil<BmViewModelFieldCU>;
    static get TITLE(): FieldUtil<BmViewModelFieldCU>;
    static get DATA_TYPE(): FieldUtil<BmViewModelFieldCU>;
    static get JAVA_DATA_TYPE(): FieldUtil<BmViewModelFieldCU>;
    static get DESCRIPTION(): FieldUtil<BmViewModelFieldCU>;
    static get UPDATE_USER_ID(): FieldUtil<BmViewModelFieldCU>;
    static get CREATE_USER_ID(): FieldUtil<BmViewModelFieldCU>;
    static get CREATE_TIME(): FieldUtil<BmViewModelFieldCU>;
    static get UPDATE_TIME(): FieldUtil<BmViewModelFieldCU>;
    get ID(): FieldUtil<BmViewModelFieldCU>;
    get BM_PROJECT_ID(): FieldUtil<BmViewModelFieldCU>;
    get BM_VIEW_MODEL_ID(): FieldUtil<BmViewModelFieldCU>;
    get VERSION_ID(): FieldUtil<BmViewModelFieldCU>;
    get NAME(): FieldUtil<BmViewModelFieldCU>;
    get COLUMN_NAME(): FieldUtil<BmViewModelFieldCU>;
    get PRIMARY_KEY(): FieldUtil<BmViewModelFieldCU>;
    get PRIMARY_KEY_GEN_TYPE(): FieldUtil<BmViewModelFieldCU>;
    get TITLE(): FieldUtil<BmViewModelFieldCU>;
    get DATA_TYPE(): FieldUtil<BmViewModelFieldCU>;
    get JAVA_DATA_TYPE(): FieldUtil<BmViewModelFieldCU>;
    get DESCRIPTION(): FieldUtil<BmViewModelFieldCU>;
    get UPDATE_USER_ID(): FieldUtil<BmViewModelFieldCU>;
    get CREATE_USER_ID(): FieldUtil<BmViewModelFieldCU>;
    get CREATE_TIME(): FieldUtil<BmViewModelFieldCU>;
    get UPDATE_TIME(): FieldUtil<BmViewModelFieldCU>;
}
export { BmViewModelFieldMU, BmViewModelFieldCU };
